#2414 closed Bug (fixed)

doc does not compile

Reported by: smasson Owned by: nicolasmartin
Priority: low Milestone:
Component: doc Version: trunk
Severity: minor Keywords:
Cc: pierre.mathiot@…, amy.young@…, smueller Branch review: failed
MP ready?: no Task progress: Unspecified

Description

Context

In the trunk the doc fails to compile with the following bug:

bash-3.2$ ./manual_build.sh NEMO
NEMO
        ¤ Generation of the PDF format
Latexmk: RC file [./latex/global/latexmk.pl] does not exist

        ¤ End of building run

Analysis

The compilation of the v4-HEAD works.
the file release-4.0-HEAD/doc/latex/global/latexmk.pl does exist whereas there is no such a file in trunk/doc/latex/global
I don't know why…

Fix

copying release-4.0-HEAD/doc/latex/global/latexmk.pl into trunk/doc/latex/global seems to do the job…
but I don't know if it is the good solution…

Commit History (20)

ChangesetAuthorTimeChangeLog
14114nicolasmartin2020-12-04T20:21:03+01:00

#2414 Deletion of the dev branch

14113nicolasmartin2020-12-04T20:15:58+01:00

#2414 Reintegration to the trunk, LaTeX manuals are compiling ;-)

14109nicolasmartin2020-12-04T18:21:13+01:00

#2414 Sync merge with trunk

14098nicolasmartin2020-12-04T15:36:00+01:00

#2414 Sync merge with trunk

14085nicolasmartin2020-12-04T12:36:47+01:00

#2414 Sync merge with trunk

14083nicolasmartin2020-12-04T12:22:38+01:00

#2414 Fix broken symlinks to rst files for ASM/OBS, SAS and SBC

14082nicolasmartin2020-12-04T12:18:25+01:00

#2414 Move AGRIF rst file to ./src/NST directory along with its small biblio

14081nicolasmartin2020-12-04T12:11:53+01:00

#2414 Move SAO namelist example out of ./src directory

14080nicolasmartin2020-12-04T12:07:50+01:00

#2414 Add missing modified REFERENCES.bib

14079nicolasmartin2020-12-04T12:06:34+01:00

#2414 Updating bibtex keys for references in LaTeX files in compliance with previous commit

14073nicolasmartin2020-12-04T10:19:21+01:00

#2414 Updating and formatting the BibTeX files Still 2 undefined references in the NEMO manual: fairall.ea_19 on chap_ZDF.tex and grant+etal18 on chap_ZDF.tex

14069nicolasmartin2020-12-03T22:46:29+01:00

#2414 Roll back to r13846 for biblio

14066nicolasmartin2020-12-03T20:14:08+01:00

#2414 Sync merge with trunk

13848nicolasmartin2020-11-20T20:28:34+01:00

#2414 Get SI3 & TOP manuals compiling

13847nicolasmartin2020-11-20T19:52:04+01:00

#2414 Move hypperref pkg loading to avoid a compilation issue

13846nicolasmartin2020-11-20T19:23:21+01:00

#2414 Cleaning of few residuals of the resolving process

13845nicolasmartin2020-11-20T19:13:29+01:00

#2414 Removal of modifications from the big mid-year merge, except new bibliography entries

13842nicolasmartin2020-11-20T15:06:17+01:00

#2414 Remove useless files forgotten in the previous commit

13825nicolasmartin2020-11-19T09:46:43+01:00

#2414 Skechty fixes to complete the manual compilation

13823nicolasmartin2020-11-18T20:26:14+01:00

#2414 Create branch to restore the building of the latex documentation

Change History (28)

comment:1 Changed 19 months ago by smasson

Some additional informations:

From Simon:

1) latexmk.pl in the trunk seems to have appeared with [11591] and to have disappeared with [12182] upstream of the trunk update of the 2019 merge; the commit message suggests that [12182] "merges in dev_ASINTER-01-05_merge" (presumably source:/NEMO/branches/2019/dev_ASINTER-01-05_merged).
2) Apparently :
source:/NEMO/branches/2019/dev_ASINTER-01-05_merged started from
source:NEMO/branches/2019/dev_r11265_ASINTER-01_Guillaume_ABL1D@11945, which started from
source:/NEMO/branches/2019/dev_r10984_HPC-13_IRRMANN_BDY_optimization@11268, which started from
source:/NEMO/trunk@10996

[12182] merge source:/NEMO/branches/2019/dev_ASINTER-01-05_merged@12165

[12165] 2019/dev_ASINTER-01-05_merged: Update to r12072 of trunk. merge source:/NEMO/trunk@12072
source:NEMO/branches/2019/dev_ASINTER-01-05_merged/doc/latex/global@12164 does not contain latexmk.pl
source:/NEMO/trunk/doc/latex/global@12072 contains the file latexmk.pl
source:NEMO/branches/2019/dev_ASINTER-01-05_merged/doc/latex/global@12165 still does not contain latexmk.pl

→ why?
→ Was the merge properly done (with svn merge and not "by hand")?
→ With which version of the trunk was merged source:NEMO/branches/2019/dev_ASINTER-01-05_merged/doc/latex/global@12164 ?
Which version of svn was used? With the release of Subversion 1.7 the svn merge subcommand disables merges into mixed-revision working copies by default. It gives an error like:

svn: E195020: Cannot merge into mixed-revision working copy 

see http://svnbook.red-bean.com/en/1.7/svn.branchmerge.basicmerging.html

if we look at the revision log of source:/NEMO/branches/2019/dev_ASINTER-01-05_merged@12165:
https://forge.ipsl.jussieu.fr/nemo/log/NEMO/branches/2019/dev_ASINTER-01-05_merged
We see some "multiple merge" in a single commit:
[12063] dev_ASINTER-01-05_merged: update branch with dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk@r12061 and trunk@r12055
but still no latexmk.pl… copying from the trunk
[12015] dev_ASINTER-01-05_merged: merge dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk branch @rev11988 with dev_r11265_ASINTER-01_Guillaume_ABL1D branch @rev11937
→ how was this done?

if we look at [12015] nothing is done on the doc directory but:
source:NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/global@11988 does contain latexmk.pl
because of [11831] dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk: Update the branch to r11830 of the trunk!

If we look at dev_r11265_ASINTER-01_Guillaume_ABL1D revision log:
https://forge.ipsl.jussieu.fr/nemo/log/NEMO/branches/2019/dev_r11265_ASINTER-01_Guillaume_ABL1D
The last merge of this branch with the trunk seems to be:
[11587] dev_r11265_ASINTER-01_Guillaume_ABL1D: merge trunk @ r11584 with dev_r11265_ABL … so before the addition of latexmk.pl in the trunk.

comment:2 Changed 19 months ago by smasson

clearly we have to remove most of the modifications done on the doc/latex in [12182]
https://forge.ipsl.jussieu.fr/nemo/changeset/12182/NEMO/branches/2019/dev_r11943_MERGE_2019/doc/latex
or in [12063] which looks very similar
https://forge.ipsl.jussieu.fr/nemo/changeset/12063/NEMO/branches/2019/dev_ASINTER-01-05_merged/doc

but we have to keep some of these changes…

I propose to take the changes done "intentionally" in the following branches and modified by [12063] or [12182]

comment:3 Changed 18 months ago by mathiot

  • Cc pierre.mathiot@… amy.young@… added

I am also struggling to compile the doc (even with your suggested fix)

===========Latexmk: Missing input file: '../../global/epilogue.tex' from line
  '! LaTeX Error: File `../../global/epilogue.tex' not found.'

I am surprised it compile at all. In the head of the trunk, appendices.tex has some links to annex_[A-E] but they are not there (this is still the old filename), chap_misc.tex need to access epilogue.tex but this file has been removed since (during the big merge) and probably other.

I am wondering if we should simply revert doc to the state before the big merge and let people re-introduced there changes one by one.

comment:4 Changed 18 months ago by smasson

I agree the fix is not working. It is only a small part of the problem.
As we found with Simon, there was a problem in the merge of the different branches.
Yes, we have to find the simplest way to kind of "revert" this corrupted merge… Maybe your proposition is the good one.

comment:5 Changed 12 months ago by nicolasmartin

  • Owner changed from systeam to nicolasmartin
  • Status changed from new to assigned

I guess I'm the most relevant for looking at the case.

As far as I remember, the LaTeX documentation was compiling successfully when I committed my last changes to the trunk in 2019 ([11711]), or at least with few missing uncommitted changes.
I will get back to this revision as the starting point and I think I would be able to identify in the different branches merged the updates done in the LaTeX sources, because the modifications will be contain either in the chapters or in the bibliography.

comment:6 Changed 11 months ago by nicolasmartin

In 13823:

#2414 Create branch to restore the building of the latex documentation

comment:7 Changed 11 months ago by nicolasmartin

In 13825:

#2414 Skechty fixes to complete the manual compilation

comment:8 Changed 11 months ago by smueller

  • Cc smueller added

comment:9 Changed 11 months ago by nicolasmartin

In 13842:

#2414 Remove useless files forgotten in the previous commit

comment:10 Changed 11 months ago by nicolasmartin

In 13845:

#2414 Removal of modifications from the big mid-year merge, except new bibliography entries

comment:11 Changed 11 months ago by nicolasmartin

In 13846:

#2414 Cleaning of few residuals of the resolving process

comment:12 Changed 11 months ago by nicolasmartin

In 13847:

#2414 Move hypperref pkg loading to avoid a compilation issue

comment:13 Changed 11 months ago by nicolasmartin

In 13848:

#2414 Get SI3 & TOP manuals compiling

comment:14 Changed 11 months ago by nicolasmartin

For the moment, I manage to recover the state of the ./doc/latex folder (up to r11711), just before the merging commit in the mid 2020, regarding the files used to configure the latex compilation and not the ones containing the text sources.

From the log in order to determine my last commit, I undo the changes with the cherry-picking option of the svn merge cmd and made fixes if needed

$ svn merge -c -12377 .
  • global my last commit was 11702, output of diff
       $ svn diff http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/branches/2020/dev_r13787_doc_latex_recovery/doc/latex/global http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/trunk/doc/latex/global@11702
    
    • packages.tex

       
      4242 
      4343%% Missing utmr8a font 
      4444\usepackage{times} 
      45  
      46 \usepackage{hyperref}   %% links 
      47  No newline at end of file 
  • NEMO/main: my last commit was 11711, output of diff
       $ svn diff http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/branches/2020/dev_r13787_doc_latex_recovery/doc/latex/NEMO/main http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/trunk/doc/latex/NEMO/main@11711
    
    • bibliography.bib

       
      31333133  issn          = "0148-0227", 
      31343134  doi           = "10.1029/92jc00911" 
      31353135} 
      3136  
      3137 @article{large.yeager_CD09, 
      3138 author="Large, W. G. and Yeager, S. G.", 
      3139 title="The Global Climatology of an Interannually Varying Air-Sea Flux Data Set", 
      3140 pages = "341--364", 
      3141 journal="Climate Dynamics", 
      3142 volume = "33", 
      3143 number = "2-3", 
      3144 year="2009", 
      3145 month = "aug", 
      3146 publisher = "Springer Science and Business Media LLC", 
      3147 doi="10.1007/s00382-008-0441-3" 
      3148 } 
      3149  
      3150 @book{sverdrup.johnson.ea_1942, 
      3151 author = {H. U. Sverdrup and Martin W. Johnson and Richard H. Fleming}, 
      3152 title = {The Oceans, Their Physics, Chemistry, and General Biology}, 
      3153 publisher = {Prentice-Hall}, 
      3154 address = {New York}, 
      3155 year = {1942}, 
      3156 pages = {1087}, 
      3157 } 
      3158  
      3159 @article{kraus.businger_QJRMS96, 
      3160 author = "E. B. Kraus and J. A. Businger", 
      3161 title = "Atmosphere-ocean interaction.", 
      3162 journal="Quarterly Journal of the Royal Meteorological Society", 
      3163 year = "1996", 
      3164 volume = "122", 
      3165 number = "529", 
      3166 pages = "324-325", 
      3167 publisher = "John Wiley & Sons, Ltd", 
      3168 issn = "1477-870X", 
      3169 doi = "10.1002/qj.49712252914" 
      3170 } 
      3171  
      3172 @article{josey.gulev.ea_2013, 
      3173 title = "Exchanges through the ocean surface", 
      3174 journal = "Ocean Circulation and Climate - A 21st Century Perspective, Int. Geophys. Ser.", 
      3175 year = "2013", 
      3176 author = "S. A. Josey and S. Gulev and L. Yu", 
      3177 pages = "115-140, edited by G. Siedler et al., Academic Press, Oxford", 
      3178 volume = "103", 
      3179 doi = "10.1016/B978-0-12-391851-2.00005-2" 
      3180 } 
      3181  
      3182 @article{fairall.bradley.ea_JGR96, 
      3183   year = "1996", 
      3184  journal = "Journal of Geophysical Research: Oceans", 
      3185   month = "jan", 
      3186   publisher = "American Geophysical Union", 
      3187   volume = "101", 
      3188   number = "C1", 
      3189   pages = "1295-1308", 
      3190   author = "C. W. Fairall and E. F. Bradley and J. S. Godfrey and G. A. Wick and J. B. Edson and G. S. Young", 
      3191   title = "Cool-skin and warm-layer effects on sea surface temperature", 
      3192   doi = "10.1029/95jc03190" 
      3193 } 
      3194  
      3195 @article{zeng.beljaars_GRL05, 
      3196   year = "2005", 
      3197   month = "jul", 
      3198   publisher = "American Geophysical Union", 
      3199   volume = "32", 
      3200   number = "14", 
      3201   author = "Xubin Zeng and Anton Beljaars", 
      3202   title = "A prognostic scheme of sea surface skin temperature for modeling and data assimilation", 
      3203   journal = "Geophysical Research Letters", 
      3204   doi = "10.1029/2005gl023030" 
      3205 } 
  • SI3/main: my last commit was 11711, no diff output
       $ svn diff http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/branches/2020/dev_r13787_doc_latex_recovery/doc/latex/SI3/main http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/trunk/doc/latex/SI3/main@11711
    
  • TOP/main: my last commit was 11711, no diff output
       $ svn diff http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/branches/2020/dev_r13787_doc_latex_recovery/doc/latex/TOP/main http://forge.ipsl.jussieu.fr/nemo/svn/NEMO/trunk/doc/latex/TOP/main@11711
    

Some particular files required some modifications to build the manuals

Still to check in details what was introduced in the latex subfiles with the big merge…

Last edited 11 months ago by nicolasmartin (previous) (diff)

comment:15 Changed 11 months ago by nicolasmartin

In 14066:

#2414 Sync merge with trunk

comment:16 Changed 11 months ago by nicolasmartin

In 14069:

#2414 Roll back to r13846 for biblio

comment:17 Changed 11 months ago by nicolasmartin

In 14073:

#2414 Updating and formatting the BibTeX files
Still 2 undefined references in the NEMO manual: fairall.ea_19 on chap_ZDF.tex and
grant+etal18 on chap_ZDF.tex

comment:18 Changed 11 months ago by nicolasmartin

In 14079:

#2414 Updating bibtex keys for references in LaTeX files in compliance with previous commit

comment:19 Changed 11 months ago by nicolasmartin

In 14080:

#2414 Add missing modified REFERENCES.bib

comment:20 Changed 11 months ago by nicolasmartin

In 14081:

#2414 Move SAO namelist example out of ./src directory

comment:21 Changed 11 months ago by nicolasmartin

In 14082:

#2414 Move AGRIF rst file to ./src/NST directory along with its small biblio

comment:22 Changed 11 months ago by nicolasmartin

In 14083:

#2414 Fix broken symlinks to rst files for ASM/OBS, SAS and SBC

comment:23 Changed 11 months ago by nicolasmartin

In 14085:

#2414 Sync merge with trunk

comment:24 Changed 11 months ago by nicolasmartin

In 14098:

#2414 Sync merge with trunk

comment:25 Changed 11 months ago by nicolasmartin

In 14109:

#2414 Sync merge with trunk

comment:26 Changed 11 months ago by nicolasmartin

In 14113:

#2414 Reintegration to the trunk, LaTeX manuals are compiling ;-)

comment:27 Changed 11 months ago by nicolasmartin

In 14114:

#2414 Deletion of the dev branch

comment:28 Changed 11 months ago by nicolasmartin

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.